Loading...
Searching...
No Matches
ModbusGatewayMgr.idl
/* SPDX-License-Identifier: BSD-3-Clause */
/*
* Copyright 2013 Raritan Inc. All rights reserved.
*/
#ifndef __MODBUS_GATEWAY_MGR_IDL__
#define __MODBUS_GATEWAY_MGR_IDL__
module modbus {
interface GatewayMgr {
constant int NO_ERROR = 0; ///< No error
constant int ERR_INVALID_PARAMS = 1; ///< Invalid parameters
/** Modbus RTU settings */
structure RtuSettings {
byte defaultAddr; ///< Modbus serial device default address
int speed; ///< Modbus serial line speed
byte parity; ///< Modbus serial line parity (N/E/O)
};
/** Modbus gateway settings (extending modb PortMux service) */
structure Settings {
RtuSettings rtu; ///< Modbus RTU settings
};
/**
* Get the modbus gateway settings
*
* @return settings
*/
Settings getSettings();
/**
* Set the modbus gateway settings
*
* @param settings
*
* @return 0 if OK
* @return ERR_INVALID_PARAMS if any parameters are invalid
*/
int setSettings(in Settings settings);
};
}
#endif /* !__MODBUS_GATEWAY_MGR_IDL__ */
modbus::GatewayMgr
Definition ModbusGatewayMgr.idl:10
modbus::GatewayMgr::ERR_INVALID_PARAMS
constant int ERR_INVALID_PARAMS
Invalid parameters.
Definition ModbusGatewayMgr.idl:12
modbus::GatewayMgr::setSettings
int setSettings(in Settings settings)
Set the modbus gateway settings.
modbus::GatewayMgr::getSettings
Settings getSettings()
Get the modbus gateway settings.
modbus::GatewayMgr::NO_ERROR
constant int NO_ERROR
No error.
Definition ModbusGatewayMgr.idl:11
modbus::GatewayMgr::RtuSettings
Modbus RTU settings.
Definition ModbusGatewayMgr.idl:15
modbus::GatewayMgr::RtuSettings::parity
byte parity
Modbus serial line parity (N/E/O)
Definition ModbusGatewayMgr.idl:18
modbus::GatewayMgr::RtuSettings::speed
int speed
Modbus serial line speed.
Definition ModbusGatewayMgr.idl:17
modbus::GatewayMgr::RtuSettings::defaultAddr
byte defaultAddr
Modbus serial device default address.
Definition ModbusGatewayMgr.idl:16
modbus::GatewayMgr::Settings
Modbus gateway settings (extending modb PortMux service)
Definition ModbusGatewayMgr.idl:22
modbus::GatewayMgr::Settings::rtu
RtuSettings rtu
Modbus RTU settings.
Definition ModbusGatewayMgr.idl:23